Loading...
Searching...
No Matches
volk_kernel_defs Namespace Reference

## Data Structures

class | impl_class
| Extract kernel info from section, represent as an implementation. More...
class | kernel_class
| Represent a processing kernel, parse from file. More...

## Functions

| comment_remover (text)
| Strip comments from a c/cpp file.
| split_into_nested_ifdef_sections (code)
| Split code into nested sections according to ifdef preprocessor macros.
| print_sections (sections, indent=' ')
| Recursive print of sections to test code above.
| flatten_section_text (sections)
| Flatten a section to just body text.
| extract_lv_haves (code)

## Variables

| srcdir = os.path.dirname(os.path.dirname(__file__))
| kernel_files = sorted(glob.glob(os.path.join(srcdir, "kernels", "volk", "*.h")))
| kernels = list(map(kernel_class, kernel_files))

## Function Documentation

## comment_remover()

volk_kernel_defs.comment_remover | ( |  | text | ) |

Strip comments from a c/cpp file.

Input is code string, output is code string without comments. https://stackoverflow.com/questions/241327/remove-c-and-c-comments-using-python

## extract_lv_haves()

volk_kernel_defs.extract_lv_haves | ( |  | code | ) |

## flatten_section_text()

volk_kernel_defs.flatten_section_text | ( |  | sections | ) |

Flatten a section to just body text.

## print_sections()

volk_kernel_defs.print_sections | ( |  | sections,
|  |  | indent = ' ' )

Recursive print of sections to test code above.

## split_into_nested_ifdef_sections()

volk_kernel_defs.split_into_nested_ifdef_sections | ( |  | code | ) |

Split code into nested sections according to ifdef preprocessor macros.

## Variable Documentation

## kernel_files

volk_kernel_defs.kernel_files = sorted(glob.glob(os.path.join(srcdir, "kernels", "volk", "*.h")))

## kernels

volk_kernel_defs.kernels = list(map(kernel_class, kernel_files))

## srcdir

volk_kernel_defs.srcdir = os.path.dirname(os.path.dirname(__file__))